Sync with portage [Thu May 27 09:37:32 MSK 2021].

akrasnyh 1973
Calculate Linux 3 years ago
parent c42c68cfc2
commit bb7e0fb58b

Binary file not shown.

Binary file not shown.

@ -1,2 +1,3 @@
DIST httpd-2.4.46.tar.bz2 7187805 BLAKE2B 2cd8a40be0b7b60ae5b06a286aa6dd801b8615fd0483a4653ceea6f9832c9ebb111f67ba4f69827b01acd1e5552e70ac0441df49573c9da0ca26d4c2f589f0bc SHA512 5936784bb662e9d8a4f7fe38b70c043b468114d931cd10ea831bfe74461ea5856b64f88f42c567ab791fc8907640a99884ba4b6a600f86d661781812735b6f13
DIST httpd-2.4.47.tar.bz2 7187445 BLAKE2B ba5b6ebac73aaa6f2f0d7a34d5bf9d13bd4ac862ee9d04b105c315c3aad16401b842b6901424dba6a44a0b5d255c0356e0bf72b5d1898b4b091b12192c204c96 SHA512 ac05e878604037572b484c32c767e022bf027e5efa2a2ed28472939d9f536448f1536ede4d809f1e913a29a0247bdd27981bd00d3d8614f978573c14bce7c7af
DIST httpd-2.4.48.tar.bz2 7194385 BLAKE2B 5006535dc15b703b4388d90d57559bd882f16210c2f38f4d773312ed8322803629deee18709ca4446000c20c94ff8b0037acbe4dddab9cdbe45417079f708039 SHA512 6c250626f1e7d10428a92d984fd48ff841effcc8705f7816ab71b681bbd51d0012ad158dcd13763fe7d630311f2de258b27574603140d648be42796ab8326724

@ -0,0 +1,103 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib toolchain-funcs
DESCRIPTION="Useful Apache tools - htdigest, htpasswd, ab, htdbm"
HOMEPAGE="https://httpd.apache.org/"
SRC_URI="mirror://apache/httpd/httpd-${PV}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc64-solaris ~x64-solaris"
IUSE="ssl"
RESTRICT="test"
RDEPEND=">=dev-libs/apr-1.5.0:1=
dev-libs/apr-util:1=
dev-libs/expat
dev-libs/libpcre
kernel_linux? ( sys-apps/util-linux )
ssl? ( dev-libs/openssl:0= )"
DEPEND="${RDEPEND}
sys-devel/libtool"
BDEPEND="virtual/pkgconfig"
S="${WORKDIR}/httpd-${PV}"
PATCHES=(
"${FILESDIR}/${PN}-2.4.7-Makefile.patch" #459446
)
src_prepare() {
default
# This package really should upgrade to using pcre's .pc file.
cat <<-\EOF >"${T}"/pcre-config
#!/bin/bash
flags=()
for flag; do
if [[ ${flag} == "--version" ]]; then
flags+=( --modversion )
else
flags+=( "${flag}" )
fi
done
exec ${PKG_CONFIG} libpcre "${flags[@]}"
EOF
chmod a+x "${T}"/pcre-config || die
}
src_configure() {
# Brain dead check.
tc-is-cross-compiler && export ap_cv_void_ptr_lt_long="no"
tc-export PKG_CONFIG
local myeconfargs=(
--libexecdir="${EPREFIX}"/usr/$(get_libdir)/apache2/modules
--sbindir="${EPREFIX}"/usr/sbin
--with-perl="${EPREFIX}"/usr/bin/perl
--with-expat="${EPREFIX}"/usr
--with-z="${EPREFIX}"/usr
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-apr-util="${SYSROOT}${EPREFIX}"/usr
--with-pcre="${T}"/pcre-config
$(use_enable ssl)
$(usex ssl '--with-ssl="${EPREFIX}"/usr' '')
)
# econf overwrites the stuff from config.layout.
ac_cv_path_PKGCONFIG="${PKG_CONFIG}" \
econf "${myeconfargs[@]}"
sed -i \
-e '/^LTFLAGS/s:--silent::' \
build/rules.mk build/config_vars.mk || die
}
src_compile() {
emake -C support
}
src_install() {
emake -C support DESTDIR="${D}" install
dodoc CHANGES
doman docs/man/{dbmmanage,htdigest,htpasswd,htdbm,ab,logresolve}.1 \
docs/man/{htcacheclean,rotatelogs}.8
# Providing compatiblity symlinks for #177697 (which we'll stop to install
# at some point).
pushd "${ED}"/usr/sbin >/dev/null || die
local i
for i in *; do
dosym ${i} /usr/sbin/${i}2
done
popd >/dev/null || die
# Provide a symlink for ab-ssl
if use ssl ; then
dosym ab /usr/bin/ab-ssl
dosym ab /usr/bin/ab2-ssl
fi
}

@ -1,6 +1 @@
DIST sysstat-12.2.1.tar.gz 1227707 BLAKE2B 566382d83a0230517d22e2630a9cb1aa631d761c914188a4e7fb15eddaedbd25b8a3dffa9893b1b2bbcc31d87a37cbe11b2b50ab0ec94a28f84018685d1b35c8 SHA512 a19d0978eb11071c228462cda496a59721541e57a1d15cb2d0964f287ac2d50b5587fa5bc2b8fe6be2a1f00cbf2e7c3bc59db6494e3e8c1906aa81437b30d073
DIST sysstat-12.2.2.tar.gz 1227793 BLAKE2B 7dcfe904aa60e9c61af516e718668a3f8fb9e4274c51a2c9d44b5e56dc6cf27ffb18d44641970f75abe1c1f8a2c5df8b7a7874da8745757f937ccc2ffbfa03d4 SHA512 82f4fb1e78a26275bdc6f6939dd2c75d7822e930992e74c1eaeda65c0e873d88e777a7f315c7b073aaacb6956281b2119448af2ca22ae6e7f1d20c370b01e3e4
DIST sysstat-12.2.3.tar.gz 1227666 BLAKE2B e78cba586eb8e5f5a971f608ee0df39a20e3af9f02db1778c52bbb09eb4565e29ffb79d68ed00af0142ccbf1120b97825c638b323b53e0b210c96bf808db4aa1 SHA512 d837193b59840b1b1a87f927a4416ba4c688f3b470be00e9ab013b62b2f11e7b963ef4cf521bc42a0a041ea8923e176922ee5b6df56c0612b6646054b048f067
DIST sysstat-12.4.0.tar.gz 1375207 BLAKE2B 66a9c15bb4e3b349158c9f7ab37d00c77844f0fd654df1b613141d906d3c89477e581d7143c77ba6952dd2cc7296f0611bc99aeec8e55e8090a488d5a286ee8b SHA512 156cb38bc4cedb68278d9054ce5b477cbdc84d2480ca302988c0fb5427b9f1f823f0939f2bc1c91fa7657b00b29d02d1f58aeafd342eef83b07d79c3f4141be4
DIST sysstat-12.4.1.tar.gz 1377429 BLAKE2B 878d20575f5397adf10f64ad935b1c08709f6149f875975377c0a9f9b741f9bf352d0dd92ae31c0e7544c2e59e2058fab9ec5be95bfe9d070048661a7ba3bbfa SHA512 203e77095bddeb3797a65ed9e51cab90beaae7f579624c3f55d6903d45b9395d2134ea8e773a572710fd837fd26fb5437dccad63a913536b916f659207256d98
DIST sysstat-12.5.3.tar.gz 1504415 BLAKE2B a3dc267182939190441b6cfebff938881fe4a06a8c7d1c406c014ddc28c0ecb33af5f480b77cce56bfcd4c7af81c4fec09eccb989561dd979f03a94ea6521f5b SHA512 3f09ff2e7ca38497eb07dcd8770c0b7fe5cfa1140537b215a1648446f65d933852b97dd5a1a9596afa57b04f20da64385e3b2e384be8d7b5902f228dc01230a5

@ -1,38 +0,0 @@
--- a/Makefile.in
+++ b/Makefile.in
@@ -368,25 +368,19 @@
$(CHOWN) $(CRON_OWNER) $(DESTDIR)$(SA_DIR)
ifdef SYSTEMD_UNIT_DIR
mkdir -p $(DESTDIR)$(SYSTEMD_UNIT_DIR)
-else
- if [ -d /etc/cron.d ]; then \
- mkdir -p $(DESTDIR)/etc/cron.d; \
- elif [ -d /etc/cron.hourly -a -d /etc/cron.daily ]; then \
- mkdir -p $(DESTDIR)/etc/cron.hourly $(DESTDIR)/etc/cron.daily; \
- fi
- if [ -d $(INIT_DIR) ]; then \
- mkdir -p $(DESTDIR)$(INIT_DIR); \
- elif [ -d $(RC_DIR) ]; then \
+endif
+ifeq ($(INSTALL_CRON),y)
+ mkdir -p $(DESTDIR)/etc/cron.d; \
+ mkdir -p $(DESTDIR)$(INIT_DIR); \
+ if [ -d $(RC_DIR) ]; then \
mkdir -p $(DESTDIR)$(RC_DIR); \
fi
endif
- if [ -z "$(SYSTEMD_UNIT_DIR)" -o ! -d "$(DESTDIR)$(SYSTEMD_UNIT_DIR)" ]; then \
- if [ -d $(DESTDIR)/etc/cron.d ]; then \
- $(INSTALL_DATA) cron/sysstat.crond $(DESTDIR)/etc/cron.d/sysstat; \
- elif [ -d $(DESTDIR)/etc/cron.hourly -a -d $(DESTDIR)/etc/cron.daily ]; then \
- $(INSTALL_BIN) cron/sysstat.cron.hourly $(DESTDIR)/etc/cron.hourly/sysstat; \
- $(INSTALL_BIN) cron/sysstat.cron.daily $(DESTDIR)/etc/cron.daily/sysstat; \
- fi \
+ if [ -d $(DESTDIR)/etc/cron.d ]; then \
+ $(INSTALL_DATA) cron/sysstat.crond $(DESTDIR)/etc/cron.d/sysstat; \
+ elif [ -d $(DESTDIR)/etc/cron.hourly -a -d $(DESTDIR)/etc/cron.daily ]; then \
+ $(INSTALL_BIN) cron/sysstat.cron.hourly $(DESTDIR)/etc/cron.hourly/sysstat; \
+ $(INSTALL_BIN) cron/sysstat.cron.daily $(DESTDIR)/etc/cron.daily/sysstat; \
fi
ifeq ($(COPY_ONLY),n)
if [ \( -z "$(SYSTEMD_UNIT_DIR)" -o ! -d "$(DESTDIR)$(SYSTEMD_UNIT_DIR)" \) -a ! -d $(DESTDIR)/etc/cron.d ]; then \

@ -1,11 +0,0 @@
--- a/Makefile.in
+++ b/Makefile.in
@@ -71,7 +71,7 @@
# Compiler flags
CFLAGS = @CFLAGS@ -Wall -Wstrict-prototypes -pipe -O2
DFLAGS = @DFLAGS@
-LFLAGS = @STRIP@
+LFLAGS = $(LDFLAGS)
DFLAGS += -DSA_DIR=\"$(SA_DIR)\" -DSADC_PATH=\"$(SADC_PATH)\"
DFLAGS += $(DFSENSORS)

@ -1,81 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit eutils flag-o-matic systemd toolchain-funcs
DESCRIPTION="System performance tools for Linux"
HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="debug nls lm-sensors selinux static"
CDEPEND="
nls? ( virtual/libintl )
lm-sensors? ( sys-apps/lm-sensors:= )
"
DEPEND="
${CDEPEND}
nls? ( sys-devel/gettext )
"
RDEPEND="
${CDEPEND}
selinux? ( sec-policy/selinux-sysstat )
"
PATCHES=(
"${FILESDIR}"/${PN}-11.0.4-cron.patch
"${FILESDIR}"/${PN}-11.7.3-flags.patch
)
src_prepare() {
if use nls; then
strip-linguas -i nls/
local lingua pofile
for pofile in nls/*.po; do
lingua=${pofile/nls\/}
lingua=${lingua/.po}
if ! has ${lingua} ${LINGUAS}; then
rm "nls/${lingua}.po" || die
fi
done
fi
default
}
src_configure() {
tc-export AR
use static && append-ldflags -static
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \
--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
}
src_install() {
keepdir /var/log/sa
emake \
CHOWN=true \
DESTDIR="${D}" \
DOC_DIR=/usr/share/doc/${PF} \
MANGRPARG='' \
install
dodoc -r contrib/
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
systemd_dounit ${PN}.service
rm "${D}"/usr/share/doc/${PF}/COPYING || die
}

@ -1,81 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit eutils flag-o-matic systemd toolchain-funcs
DESCRIPTION="System performance tools for Linux"
HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="debug nls lm-sensors selinux static"
CDEPEND="
nls? ( virtual/libintl )
lm-sensors? ( sys-apps/lm-sensors:= )
"
DEPEND="
${CDEPEND}
nls? ( sys-devel/gettext )
"
RDEPEND="
${CDEPEND}
selinux? ( sec-policy/selinux-sysstat )
"
PATCHES=(
"${FILESDIR}"/${PN}-11.0.4-cron.patch
"${FILESDIR}"/${PN}-11.7.3-flags.patch
)
src_prepare() {
if use nls; then
strip-linguas -i nls/
local lingua pofile
for pofile in nls/*.po; do
lingua=${pofile/nls\/}
lingua=${lingua/.po}
if ! has ${lingua} ${LINGUAS}; then
rm "nls/${lingua}.po" || die
fi
done
fi
default
}
src_configure() {
tc-export AR
use static && append-ldflags -static
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \
--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
}
src_install() {
keepdir /var/log/sa
emake \
CHOWN=true \
DESTDIR="${D}" \
DOC_DIR=/usr/share/doc/${PF} \
MANGRPARG='' \
install
dodoc -r contrib/
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
systemd_dounit ${PN}.service
rm "${D}"/usr/share/doc/${PF}/COPYING || die
}

@ -1,81 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit eutils flag-o-matic systemd toolchain-funcs
DESCRIPTION="System performance tools for Linux"
HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="debug nls lm-sensors selinux static"
CDEPEND="
nls? ( virtual/libintl )
lm-sensors? ( sys-apps/lm-sensors:= )
"
DEPEND="
${CDEPEND}
nls? ( sys-devel/gettext )
"
RDEPEND="
${CDEPEND}
selinux? ( sec-policy/selinux-sysstat )
"
PATCHES=(
"${FILESDIR}"/${PN}-11.0.4-cron.patch
"${FILESDIR}"/${PN}-11.7.3-flags.patch
)
src_prepare() {
if use nls; then
strip-linguas -i nls/
local lingua pofile
for pofile in nls/*.po; do
lingua=${pofile/nls\/}
lingua=${lingua/.po}
if ! has ${lingua} ${LINGUAS}; then
rm "nls/${lingua}.po" || die
fi
done
fi
default
}
src_configure() {
tc-export AR
use static && append-ldflags -static
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \
--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
}
src_install() {
keepdir /var/log/sa
emake \
CHOWN=true \
DESTDIR="${D}" \
DOC_DIR=/usr/share/doc/${PF} \
MANGRPARG='' \
install
dodoc -r contrib/
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
systemd_dounit ${PN}.service
rm "${D}"/usr/share/doc/${PF}/COPYING || die
}

@ -1,83 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit eutils flag-o-matic systemd toolchain-funcs
DESCRIPTION="System performance tools for Linux"
HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="debug nls lm-sensors selinux static systemd"
CDEPEND="
nls? ( virtual/libintl )
lm-sensors? ( sys-apps/lm-sensors:= )
"
DEPEND="
${CDEPEND}
nls? ( sys-devel/gettext )
"
RDEPEND="
${CDEPEND}
selinux? ( sec-policy/selinux-sysstat )
"
PATCHES=(
"${FILESDIR}"/${PN}-11.7.3-flags.patch
)
src_prepare() {
if use nls; then
strip-linguas -i nls/
local lingua pofile
for pofile in nls/*.po; do
lingua=${pofile/nls\/}
lingua=${lingua/.po}
if ! has ${lingua} ${LINGUAS}; then
rm "nls/${lingua}.po" || die
fi
done
fi
default
}
src_configure() {
tc-export AR
use static && append-ldflags -static
# --enable-compress-manpg <= Yes, that is inverted.
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
$(use_enable !systemd use-crond) \
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--enable-compress-manpg \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \
--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
}
src_install() {
keepdir /var/log/sa
emake \
CHOWN=true \
DESTDIR="${D}" \
DOC_DIR=/usr/share/doc/${PF} \
MANGRPARG='' \
install
dodoc -r contrib/
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
systemd_dounit ${PN}.service
rm "${D}"/usr/share/doc/${PF}/COPYING || die
}

@ -1,86 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit eutils flag-o-matic systemd toolchain-funcs
DESCRIPTION="System performance tools for Linux"
HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="dcron debug nls lm-sensors selinux static systemd"
CDEPEND="
nls? ( virtual/libintl )
lm-sensors? ( sys-apps/lm-sensors:= )
"
DEPEND="
${CDEPEND}
nls? ( sys-devel/gettext )
"
RDEPEND="
${CDEPEND}
!dcron? ( !sys-process/dcron )
selinux? ( sec-policy/selinux-sysstat )
"
PATCHES=(
"${FILESDIR}"/${PN}-11.7.3-flags.patch
)
REQUIRED_USE="dcron? ( !systemd )"
src_prepare() {
if use nls; then
strip-linguas -i nls/
local lingua pofile
for pofile in nls/*.po; do
lingua=${pofile/nls\/}
lingua=${lingua/.po}
if ! has ${lingua} ${LINGUAS}; then
rm "nls/${lingua}.po" || die
fi
done
fi
use dcron && { sed -i 's/@CRON_OWNER@ //g' cron/sysstat.crond.in || die ; }
default
}
src_configure() {
tc-export AR
use static && append-ldflags -static
sa_lib_dir=/usr/lib/sa \
conf_dir=/etc \
econf \
$(use_enable !systemd use-crond) \
$(use_enable lm-sensors sensors) \
$(use_enable nls) \
$(usex debug --enable-debuginfo '') \
--disable-compress-manpg \
--enable-copy-only \
--enable-documentation \
--enable-install-cron \
--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
}
src_install() {
keepdir /var/log/sa
emake \
CHOWN=true \
DESTDIR="${D}" \
DOC_DIR=/usr/share/doc/${PF} \
MANGRPARG='' \
install
dodoc -r contrib/
newinitd "${FILESDIR}"/${PN}.init.d ${PN}
systemd_dounit ${PN}.service
rm "${D}"/usr/share/doc/${PF}/COPYING || die
}

@ -10,7 +10,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="dcron debug nls lm-sensors selinux static systemd"
CDEPEND="

Binary file not shown.

@ -1,4 +1,5 @@
DIST bacula-11.0.2.tar.gz 5982176 BLAKE2B 2da10e48b44ada189fb5d9ed48bac41232106721859df823309e7be63d16786ebaf95052d929ef67895fb993d019153d736125ec4fe5949591dd7dced0ee9835 SHA512 7e90352036a544b6a508547ae38660ca5d59b0bfd17126f346652e5c9977367ad9fe972e3f2823c10e7f8ffdcd1623ef24e8a82de030041762f0c0e09783e65c
DIST bacula-11.0.3.tar.gz 5982505 BLAKE2B a09a4829cb4eeb6cfe3b082efcc45f7704ad7da0f882b746a2f4aeeb3233775ccc89d7924442970e9609c449fee96466b33286e7c6f700cbab7f2013f0267f53 SHA512 753ef3f53079fe36e69791a3ff0c4230d611d86257c5ecbc28c2ec593e950b76dc9fedf3525c196b0742cc029d0a8023d31505c83d8d42ff3f48c3273b77c540
DIST bacula-9.6.5.tar.gz 4252526 BLAKE2B 48bfc9f45db10949fb4d7396c2ca15ed17dad3bd6ab9c6ab5cd0b3a80d1df0d37868a8671c2ead9b00fe89da91d43e945ca2818016f09502aff1a2fd3a5d455d SHA512 4018e242b2131c2416cd16ae3530c9c848dc8e88dd6532136c699a50fcbf39a574ffec8ef13bc5d7a9673d057b51cf1d1be80667e89abe0e18ec79d04b0edd70
DIST bacula-9.6.6.tar.gz 4253303 BLAKE2B 131353e24265f64dd3c4e0632bee93d2a170d3ed88626ab80f1804e7a218eb86c5ac7507f4a4fe5ef7d4472a1c90ef0f45e1a6ad0a4a65a1fa8f1a8f63287e3f SHA512 1b669bbf1e54f40e0426603601a4751c42101985de901f951a68add7644971d48615b3089c65fafd444c762c3d82b67cafdcae9636e8a19af8fd94ae631c315a
DIST bacula-9.6.7.tar.gz 4168102 BLAKE2B 8f5d5cbe8c3ce62105624138e9dfbb9f19eb0721bb2e377c07ef2cd3d4a8442641b4758b00b3050d2352dde31205658963782d2bec3e87242dac7b4b6a4d659c SHA512 27551faa2e4b13c6c2b9a2500f1253dfa5ee84929013491a7bf512d965d655c5af78b08201090474bc9b29827ca0a5c1c5a23a55712a1f739f37de75449cfd4d

@ -0,0 +1,413 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop libtool qmake-utils systemd
MY_PV=${PV/_beta/-b}
MY_P=${PN}-${MY_PV}
DESCRIPTION="Featureful client/server network backup suite"
HOMEPAGE="https://www.bacula.org/"
SRC_URI="mirror://sourceforge/bacula/${MY_P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="acl bacula-clientonly bacula-nodir bacula-nosd +batch-insert examples ipv6 logwatch mysql postgres qt5 readline +sqlite ssl static tcpd vim-syntax X"
DEPEND="
!bacula-clientonly? (
!bacula-nodir? ( virtual/mta )
postgres? ( dev-db/postgresql:=[threads] )
mysql? ( || ( dev-db/mysql-connector-c dev-db/mariadb-connector-c ) )
sqlite? ( dev-db/sqlite:3 )
)
dev-libs/gmp:0
qt5? (
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
dev-qt/qtsvg:5
x11-libs/qwt:6
)
logwatch? ( sys-apps/logwatch )
readline? ( sys-libs/readline:0 )
static? (
dev-libs/lzo[static-libs]
sys-libs/ncurses:=[static-libs]
sys-libs/zlib[static-libs]
acl? ( virtual/acl[static-libs(+)] )
ssl? (
dev-libs/openssl:0=[static-libs]
)
)
!static? (
dev-libs/lzo
sys-libs/ncurses:=
sys-libs/zlib
acl? ( virtual/acl )
ssl? (
dev-libs/openssl:0=
)
)
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
"
RDEPEND="${DEPEND}
acct-user/bacula
acct-group/bacula
!bacula-clientonly? (
!bacula-nosd? (
app-arch/mt-st
sys-block/mtx
)
)
vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
"
REQUIRED_USE="
!bacula-clientonly? ( ^^ ( mysql postgres sqlite ) )
static? ( bacula-clientonly )
"
S=${WORKDIR}/${MY_P}
pkg_setup() {
#XOR and !bacula-clientonly controlled by REQUIRED_USE
use mysql && export mydbtype="mysql"
use postgres && export mydbtype="postgresql"
use sqlite && export mydbtype="sqlite3"
if use bacula-clientonly && use static && use qt5; then
ewarn
ewarn "Building statically linked 'bat' is not supported. Ignorig 'qt5' useflag."
ewarn
fi
}
src_prepare() {
# adjusts default configuration files for several binaries
# to /etc/bacula/<config> instead of ./<config>
pushd src >&/dev/null || die
for f in console/console.c dird/dird.c filed/filed.c \
stored/bcopy.c stored/bextract.c stored/bls.c \
stored/bscan.c stored/btape.c stored/stored.c \
qt-console/main.cpp; do
sed -i -e 's|^\(#define CONFIG_FILE "\)|\1/etc/bacula/|g' "${f}" \
|| die "sed on ${f} failed"
done
popd >&/dev/null || die
# bug 466688 drop deprecated categories from Desktop file
sed -i -e 's/Application;//' scripts/bat.desktop.in || die
# bug 466690 Use CXXFLAGS instead of CFLAGS
sed -i -e 's/@CFLAGS@/@CXXFLAGS@/' autoconf/Make.common.in || die
# drop automatic install of unneeded documentation (for bug 356499)
eapply -p0 "${FILESDIR}"/7.2.0/${PN}-7.2.0-doc.patch
# bug #310087
eapply "${FILESDIR}"/5.2.3/${PN}-5.2.3-as-needed.patch
# bug #311161
eapply -p0 "${FILESDIR}"/9.0.2/${PN}-9.0.2-lib-search-path.patch
# bat needs to respect LDFLAGS and CFLAGS
eapply -p0 "${FILESDIR}"/9.0.6/${PN}-9.0.6-bat-pro.patch
# bug #328701
eapply -p0 "${FILESDIR}"/5.2.3/${PN}-5.2.3-openssl-1.patch
eapply -p0 "${FILESDIR}"/${PN}-11.0.2-fix-static.patch
# fix soname in libbaccat.so bug #602952
eapply -p0 "${FILESDIR}/bacula-fix-sonames.patch"
# do not strip binaries
sed -i -e "s/strip /# strip /" src/filed/Makefile.in || die
sed -i -e "s/strip /# strip /" src/console/Makefile.in || die
eapply_user
# Fix systemd unit files:
# bug 497748
sed -i -e '/Requires/d' platforms/systemd/*.service.in || die
sed -i -e '/StandardOutput/d' platforms/systemd/*.service.in || die
# bug 504370
sed -i -e '/Alias=bacula-dir/d' platforms/systemd/bacula-dir.service.in || die
# bug 584442 and 504368
sed -i -e 's/@dir_user@/root/g' platforms/systemd/bacula-dir.service.in || die
# build 'bat' for Qt5
export QMAKE="$(qt5_get_bindir)"/qmake
# adapt to >=Qt-5.9 (see bug #644566)
# qmake needs an existing target file to generate install instructions
sed -i -e 's#bins.files = bat#bins.files = .libs/bat#g' \
src/qt-console/bat.pro.in || die
mkdir src/qt-console/.libs || die
touch src/qt-console/.libs/bat || die
chmod 755 src/qt-console/.libs/bat || die
# Don't let program install man pages directly
sed -i -e 's/ manpages//' Makefile.in || die
# correct installation for plugins to mode 0755 (bug #725946)
sed -i -e "s/(INSTALL_PROGRAM) /(INSTALL_LIB) /" src/plugins/fd/Makefile.in ||die
# fix bundled libtool (bug 466696)
# But first move directory with M4 macros out of the way.
# It is only needed by autoconf and gives errors during elibtoolize.
mv autoconf/libtool autoconf/libtool1 || die
elibtoolize
}
src_configure() {
local myconf=''
if use bacula-clientonly; then
myconf="${myconf} \
$(use_enable bacula-clientonly client-only) \
$(use_enable !static libtool) \
$(use_enable static static-cons) \
$(use_enable static static-fd)"
else
myconf="${myconf} \
$(use_enable !bacula-nodir build-dird) \
$(use_enable !bacula-nosd build-stored)"
# bug #311099
# database support needed by dir-only *and* sd-only
# build as well (for building bscan, btape, etc.)
myconf="${myconf}
--with-${mydbtype}"
fi
# do not build bat if 'static' clientonly
if ! use bacula-clientonly || ! use static; then
myconf="${myconf} \
$(use_enable qt5 bat)"
fi
myconf="${myconf} \
$(use_with X x) \
$(use_enable batch-insert) \
$(use_enable !readline conio) \
$(use_enable readline) \
$(use_with ssl openssl) \
$(use_enable ipv6) \
$(use_enable acl) \
$(use_with tcpd tcp-wrappers)"
econf \
--with-pid-dir=/var/run \
--sysconfdir=/etc/bacula \
--with-archivedir=/var/lib/bacula/tmp \
--with-subsys-dir=/var/lock/subsys \
--with-working-dir=/var/lib/bacula \
--with-logdir=/var/lib/bacula \
--with-scriptdir=/usr/libexec/bacula \
--with-systemd=$(systemd_get_systemunitdir) \
--with-dir-user=bacula \
--with-dir-group=bacula \
--with-sd-user=root \
--with-sd-group=bacula \
--with-fd-user=root \
--with-fd-group=bacula \
--enable-smartalloc \
--disable-afs \
--without-s3 \
--host=${CHOST} \
${myconf}
}
src_compile() {
# Make build log verbose (bug #447806)
emake NO_ECHO=""
}
src_install() {
emake DESTDIR="${D}" install
doicon scripts/bacula.png
# install bat icon and desktop file when enabled
# (for some reason ./configure doesn't pick this up)
if use qt5 && ! use static ; then
doicon src/qt-console/images/bat_icon.png
domenu scripts/bat.desktop
fi
# remove some scripts we don't need at all
rm -f "${D}"/usr/libexec/bacula/{bacula,bacula-ctl-dir,bacula-ctl-fd,bacula-ctl-sd,startmysql,stopmysql}
# rename statically linked apps
if use bacula-clientonly && use static ; then
pushd "${D}"/usr/sbin || die
mv static-bacula-fd bacula-fd || die
mv static-bconsole bconsole || die
popd || die
fi
# extra files which 'make install' doesn't cover
if ! use bacula-clientonly; then
# the database update scripts
diropts -m0750
insinto /usr/libexec/bacula/updatedb
insopts -m0754
doins "${S}"/updatedb/*
fperms 0640 /usr/libexec/bacula/updatedb/README
# the logrotate configuration
# (now unconditional wrt bug #258187)
diropts -m0755
insinto /etc/logrotate.d
insopts -m0644
newins "${S}"/scripts/logrotate bacula
# the logwatch scripts
if use logwatch; then
diropts -m0750
dodir /usr/share/logwatch/scripts/services
dodir /usr/share/logwatch/scripts/shared
dodir /etc/logwatch/conf/logfiles
dodir /etc/logwatch/conf/services
pushd "${S}"/scripts/logwatch >&/dev/null || die
emake DESTDIR="${D}" install
popd >&/dev/null || die
fi
fi
# Install all man pages
doman "${S}"/manpages/*.[18]
if ! use qt5; then
rm -vf "${D}"/usr/share/man/man1/bat.1*
fi
rm -vf "${D}"/usr/share/man/man1/bacula-tray-monitor.1*
if use bacula-clientonly || use bacula-nodir ; then
rm -vf "${D}"/usr/libexec/bacula/create_*_database
rm -vf "${D}"/usr/libexec/bacula/drop_*_database
rm -vf "${D}"/usr/libexec/bacula/make_*_tables
rm -vf "${D}"/usr/libexec/bacula/update_*_tables
rm -vf "${D}"/usr/libexec/bacula/drop_*_tables
rm -vf "${D}"/usr/libexec/bacula/grant_*_privileges
rm -vf "${D}"/usr/libexec/bacula/*_catalog_backup
fi
if use bacula-clientonly || use bacula-nosd; then
rm -vf "${D}"/usr/libexec/bacula/disk-changer
rm -vf "${D}"/usr/libexec/bacula/mtx-changer
rm -vf "${D}"/usr/libexec/bacula/dvd-handler
fi
# documentation
dodoc ChangeLog ReleaseNotes SUPPORT
# install examples (bug #457504)
if use examples; then
docinto examples/
dodoc -r examples/*
fi
# vim-files
if use vim-syntax; then
insinto /usr/share/vim/vimfiles/syntax
doins scripts/bacula.vim
insinto /usr/share/vim/vimfiles/ftdetect
newins scripts/filetype.vim bacula_ft.vim
fi
# setup init scripts
myscripts="bacula-fd"
if ! use bacula-clientonly; then
if ! use bacula-nodir; then
myscripts="${myscripts} bacula-dir"
fi
if ! use bacula-nosd; then
myscripts="${myscripts} bacula-sd"
fi
fi
for script in ${myscripts}; do
# copy over init script and config to a temporary location
# so we can modify them as needed
cp "${FILESDIR}/${script}".confd "${T}/${script}".confd || die "failed to copy ${script}.confd"
cp "${FILESDIR}/newscripts/${script}".initd "${T}/${script}".initd || die "failed to copy ${script}.initd"
# now set the database dependancy for the director init script
case "${script}" in
bacula-dir)
case "${mydbtype}" in
sqlite3)
# sqlite databases don't have a daemon
sed -i -e 's/need "%database%"/:/g' "${T}/${script}".initd || die
;;
*)
# all other databases have daemons
sed -i -e "s:%database%:${mydbtype}:" "${T}/${script}".initd || die
;;
esac
;;
*)
;;
esac
# install init script and config
newinitd "${T}/${script}".initd "${script}"
newconfd "${T}/${script}".confd "${script}"
done
systemd_dounit "${S}"/platforms/systemd/bacula-{dir,fd,sd}.service
# make sure the working directory exists
diropts -m0750
keepdir /var/lib/bacula
# make sure bacula group can execute bacula libexec scripts
fowners -R root:bacula /usr/libexec/bacula
}
pkg_postinst() {
if use bacula-clientonly; then
fowners root:bacula /var/lib/bacula
else
fowners bacula:bacula /var/lib/bacula
fi
einfo
einfo "A group 'bacula' has been created. Any users you add to this"
einfo "group have access to files created by the daemons."
einfo
einfo "A user 'bacula' has been created. Please see the bacula manual"
einfo "for information about running bacula as a non-root user."
einfo
if ! use bacula-clientonly && ! use bacula-nodir; then
einfo
einfo "If this is a new install, you must create the ${mydbtype} databases with:"
einfo " /usr/libexec/bacula/create_${mydbtype}_database"
einfo " /usr/libexec/bacula/make_${mydbtype}_tables"
einfo " /usr/libexec/bacula/grant_${mydbtype}_privileges"
einfo
ewarn "ATTENTION!"
ewarn "The format of the database may have changed."
ewarn "If you just upgraded from a version below 9.0.0 you must run"
ewarn "'update_bacula_tables' now."
ewarn "Make sure to have a backup of your catalog before."
ewarn
fi
if use sqlite; then
einfo
einfo "Be aware that Bacula does not officially support SQLite database anymore."
einfo "Best use it only for a client-only installation. See Bug #445540."
einfo
fi
einfo "Please note that 'bconsole' will always be installed. To compile 'bat'"
einfo "you have to enable 'USE=qt5'."
einfo
einfo "/var/lib/bacula/tmp was configured for archivedir. This dir will be used during"
einfo "restores, so be sure to set it to an appropriate in dir in the bacula config."
}

@ -1,2 +1 @@
DIST borgmatic-1.5.12.tar.gz 72964 BLAKE2B d71537eed019b10c3257d4b068c31aff63919e0cdb068b49c2ed92d2e97d37b8735f30b1225fb453e79372aeab49817e9200770aac4cc0f80c0bac14e84678d1 SHA512 67c7c7683e9fb7dd0321b3db6887212b040596f1d7e767cceeae6fa4cc02bb0a46344befbbc7a33b454a4692b04ae88d9031f71867788a94f771999d885112d5
DIST borgmatic-1.5.13.tar.gz 72469 BLAKE2B 3a71be201143a96968bb1ea6008b62e11f6ab199f44f38d0d66f31f24827a8f32cc7b8f50cc5d33a8bbd7046e6697afe509525be90dd9519f4c686b8737f64c5 SHA512 60bcbcc825db3f93a423ab8e44e0b0809ff4937d8e41bc56ec6226e4865c3a66fae8b6749d33cdb0692ea9dd07cfff56750ff2feee68c96791b83c9dd5f35433

@ -1,71 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_SETUPTOOLS="rdepend"
inherit distutils-r1 systemd
DESCRIPTION="Automatically create, prune and verify backups with borgbackup"
HOMEPAGE="https://torsion.org/borgmatic/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64"
# Fails due to problems with dev-python/flexmock-0.10.4; see Bug #740128
RESTRICT="test"
# borg is called as an external tool, hence no pythonic stuff
RDEPEND="app-backup/borgbackup
$(python_gen_cond_dep '
dev-python/colorama[${PYTHON_USEDEP}]
>=dev-python/pykwalify-1.6.0[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
<dev-python/ruamel-yaml-0.17.0[${PYTHON_USEDEP}]
')"
#BDEPEND="
# test? (
# $(python_gen_cond_dep '
# dev-python/flexmock[${PYTHON_USEDEP}]
# ')
# )"
PATCHES=(
"${FILESDIR}"/${PN}-1.5.1-systemd_service_bin_path.patch
"${FILESDIR}"/${PN}-1.5.1-no_test_coverage.patch
)
distutils_enable_tests pytest
src_prepare() {
distutils-r1_src_prepare
# Unlike the other two test files in integration/commands, which use the
# relevant modules' respective APIs, test_borgmatic.py tries to call the
# 'borgmatic' executable - which by the time we execute src_test will
# not have been created yet. distutils_install_for_testing would likely
# take care of this - but between the aforementioned behaviour inconsistency
# and the fact the only test run from this file as of version 1.5.11 is the
# parsing of contents of 'borgmatic --version', just skip it for now.
rm -f "${S}"/tests/integration/commands/test_borgmatic.py
}
src_install() {
distutils-r1_src_install
systemd_dounit sample/systemd/borgmatic.{service,timer}
keepdir /etc/borgmatic
}
pkg_postinst() {
if [[ -z "${REPLACING_VERSIONS}" ]]; then
elog "To generate a sample configuration file, run:"
elog " generate-borgmatic-config"
fi
elog
elog "Systemd users wishing to periodically run borgmatic can use the provided timer and service units."
}

@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64"
KEYWORDS="amd64 ~arm ~arm64"
# Fails due to problems with dev-python/flexmock-0.10.4; see Bug #740128
RESTRICT="test"

@ -1,4 +1,2 @@
DIST duplicity-0.8.15.tar.gz 1482647 BLAKE2B e1ddd4232611ad5fcf8faa5135c925aef68a21eb9dec50de7194562a0d4871e9c58132faf9340f71367025dcc84cbc6f1aae69bd37cae294d4200a8ca8b796b3 SHA512 2d048377c839ae56fc2828997c9aa7ba8c339e815e1e2ae738652037508ec276a2c72583687da34408fadd4839011e242b51bc73cca954227fc51db5683c258c
DIST duplicity-0.8.17.tar.gz 1351433 BLAKE2B 39c87c421bb8a4bf27e60c16b6dde559ed4468a1062f02623d8e37deb62e63101b6fb5524e5a991139d39422cab2803b89007bf1ca5819817ab3b53d5318b88c SHA512 6f9f6b45953d2bc7ed403d68bdc419f384e07f831c783af720f15f88b100f5becb3f83f65cfc715b02686c24d18c5ec8f80c27789d1ec01cdc8efefa7590c211
DIST duplicity-0.8.18.tar.gz 1352646 BLAKE2B 9703ad0780d6bd7db970941f529192132f1b7c138c72831cfdeb1b703dc9d952e28cf453a77a62babc872ec57d9193fa7293607401e278d12ec8143f779d2a60 SHA512 fd9dc472e4145725de343a3195ca8c898570ec492d46bc385d354c40b2c31e7c0da1f6e15e2a4a391d35926ae77e854992f4c973e55b072006c3f6489e27408f
DIST duplicity-0.8.19.tar.gz 1372739 BLAKE2B 6a5a642597529eea37c7224cbfdd115db42c16f6391e553454f8f82cea86240bbd68a62513129496a1f978411fdeec50c3d918bb99b470fa1444fd77e7e6c9b7 SHA512 c1a1f5894f8b94ac61bd98270f138c58ef5a68f3624e7e88224b15539ca6e08874df9cebb36b10167d133b1af6a93b29e7bf4084c348b9cd7914ff24415be57c

@ -1,51 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_7 python3_8 )
inherit distutils-r1
DESCRIPTION="Secure backup system using gnupg to encrypt data"
HOMEPAGE="https://www.nongnu.org/duplicity/"
SRC_URI="https://code.launchpad.net/${PN}/$(ver_cut 1-2)-series/$(ver_cut 1-3)/+download/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="s3 test"
CDEPEND="
net-libs/librsync
app-crypt/gnupg
dev-python/fasteners[${PYTHON_USEDEP}]
"
DEPEND="${CDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
app-arch/par2cmdline
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
)
"
RDEPEND="${CDEPEND}
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/future[${PYTHON_USEDEP}]
s3? ( dev-python/boto[${PYTHON_USEDEP}] )
"
RESTRICT="test"
PATCHES=(
"${FILESDIR}/${P}-fix-docs-cmd.patch"
)
python_test() {
esetup.py test
}
pkg_postinst() {
elog "Duplicity has many optional dependencies to support various backends."
elog "Currently it's up to you to install them as necessary."
}

@ -1,51 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_7 python3_8 python3_9 )
inherit distutils-r1
DESCRIPTION="Secure backup system using gnupg to encrypt data"
HOMEPAGE="https://www.nongnu.org/duplicity/"
SRC_URI="https://code.launchpad.net/${PN}/$(ver_cut 1-2)-series/$(ver_cut 1-3)/+download/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="s3 test"
CDEPEND="
net-libs/librsync
app-crypt/gnupg
dev-python/fasteners[${PYTHON_USEDEP}]
"
DEPEND="${CDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
app-arch/par2cmdline
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
)
"
RDEPEND="${CDEPEND}
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/future[${PYTHON_USEDEP}]
s3? ( dev-python/boto[${PYTHON_USEDEP}] )
"
RESTRICT="test"
PATCHES=(
"${FILESDIR}/${P}-fix-docs-cmd.patch"
)
python_test() {
esetup.py test
}
pkg_postinst() {
elog "Duplicity has many optional dependencies to support various backends."
elog "Currently it's up to you to install them as necessary."
}

@ -12,7 +12,7 @@ SRC_URI="https://code.launchpad.net/${PN}/$(ver_cut 1-2)-series/$(ver_cut 1-3)/+
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="s3 test"
CDEPEND="

@ -1,29 +0,0 @@
--- duplicity-0.8.15/setup.py 2020-09-01 15:45:48.664058429 -0400
+++ duplicity-0.8.15/setup.py 2020-09-01 15:46:44.745709363 -0400
@@ -93,18 +93,6 @@
u'bin/rdiffdir.1'
]
),
- (u'share/doc/duplicity-%s' % Version,
- [
- u'AUTHORS',
- u'CHANGELOG',
- u'Changelog.GNU',
- u'COPYING',
- u'README',
- u'README-LOG',
- u'README-REPO',
- u'README-TESTING',
- ],
- ),
]
if not os.environ.get(u'READTHEDOCS') == u'True':
@@ -340,7 +328,6 @@
],
test_suite=u"testing",
cmdclass={
- u"build_scripts": BuildScriptsCommand,
u"install": InstallCommand,
u"install_data": InstallDataCommand,
u"sdist": SdistCommand,

@ -1,28 +0,0 @@
--- duplicity-0.8.17/setup.py 2020-11-24 19:32:40.089024404 -0500
+++ duplicity-0.8.17/setup.py 2020-11-24 19:33:32.326309755 -0500
@@ -93,17 +93,6 @@
u'bin/rdiffdir.1'
]
),
- (u'share/doc/duplicity-%s' % Version,
- [
- u'AUTHORS',
- u'CHANGELOG.md',
- u'COPYING',
- u'README.md',
- u'README-LOG.md',
- u'README-REPO.md',
- u'README-TESTING.md',
- ],
- ),
]
if not os.environ.get(u'READTHEDOCS') == u'True':
@@ -339,7 +328,6 @@
],
test_suite=u"testing",
cmdclass={
- u"build_scripts": BuildScriptsCommand,
u"install": InstallCommand,
u"install_data": InstallDataCommand,
u"sdist": SdistCommand,

Binary file not shown.

@ -1 +1 @@
DIST stress-ng-0.12.08.tar.xz 538832 BLAKE2B 67db0a377f256f346e1a131ae31271f9cd8be5186bf370504f943f168d873fd0c16579edd527de848e55e493917e36b1ac5211ce570eb73fdf078897b2698375 SHA512 992977c4d5dadae0a77e24ba4103ecf293cc7a56d0b254b235fbd9920968eb591bfa98b44c0002cf18103c0da4c677d577526538844fd67a47e7a721ac0aa596
DIST stress-ng-0.12.09.tar.xz 545756 BLAKE2B 72c5b1acf3f82f8d609da8b213f6321486cda9b8e05fd7390b846bea541610bab70bceb99c3684fbff732805eade7c37840d77e4ce901cc81a53ded0968bc6a1 SHA512 510b210a920b540c25e9f4cc0597924f72a80a85e6cd647346f7e91335e127e776bfa1bdcf0e67f557b7c154d2e6f2b2ed5abe9612b2552f53a8d21c920dc6c1

Binary file not shown.

@ -1,2 +1 @@
DIST KJV-2.10.2.zip 4065733 BLAKE2B 9c2fa48a38fe6352232b402de03bd2ce0651e1f30fa4a9e707b98412940a9b18c9fc465b1bb2628bdcd21bf3f8369da7eecf3a68e088ed6072fd9af1cd2f6e5f SHA512 43e841f9a6e833e8f39ac57c75d781af7b3b2d8ba59568300d0829eae809cd190e35639eb60342f36b87e5cdce6093fba4b2d7a55ed97fcdc8681025ed4100ac
DIST KJV-2.9.zip 4061008 BLAKE2B e29bdba1147b96210b68a221f254b13f63f80616b80e241926b1d4af883cb5b611259668bfcd6f943a333f46f9a3fa24565c461181379428b80a4e41d1dcc502 SHA512 80af4ce768ec5c93e8e502338320c3b7fa5127fcc91ddb22969e0c1cac056538b5296b4b886ae653146cd2e21a61441e3c34f62f90cbec30510a81abc5408ec6

@ -10,4 +10,4 @@ inherit sword-module
DESCRIPTION="King James Version (1769) with Strongs Numbers and Morphology"
HOMEPAGE="https://crosswire.org/sword/modules/ModInfo.jsp?modName=KJV"
LICENSE="freedist"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="amd64 ~ppc x86"

@ -1,13 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
SWORD_MINIMUM_VERSION="1.7.0"
inherit sword-module
DESCRIPTION="King James Version (1769) with Strongs Numbers and Morphology"
HOMEPAGE="https://crosswire.org/sword/modules/ModInfo.jsp?modName=KJV"
LICENSE="freedist"
KEYWORDS="amd64 ~ppc x86"

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -34,7 +34,7 @@ BDEPEND="app-eselect/eselect-emacs
RDEPEND="${RDEPEND}
app-eselect/eselect-emacs"
PATCHES="../patch"
PATCHES=("${WORKDIR}/patch")
src_prepare() {
default

@ -90,10 +90,10 @@ SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
# operations later on
FULL_VERSION="${PV%%_*}"
S="${WORKDIR}/emacs-${FULL_VERSION}"
PATCHES=("${WORKDIR}/patch")
src_prepare() {
eapply ../patch
eapply_user
default
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
|| die "unable to sed ctags.1"

@ -97,10 +97,10 @@ SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
# operations later on
FULL_VERSION="${PV%%_*}"
S="${WORKDIR}/emacs-${FULL_VERSION}"
PATCHES=("${WORKDIR}/patch")
src_prepare() {
eapply ../patch
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \

@ -100,10 +100,10 @@ SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
# operations later on
FULL_VERSION="${PV%%_*}"
S="${WORKDIR}/emacs-${FULL_VERSION}"
PATCHES=("${WORKDIR}/patch")
src_prepare() {
eapply ../patch
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \

@ -110,8 +110,7 @@ FULL_VERSION="${PV%%_*}"
S="${WORKDIR}/emacs-${FULL_VERSION}"
src_prepare() {
#eapply ../patch
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die

@ -150,7 +150,7 @@ src_prepare() {
|| die "Upstream version number changed to ${FULL_VERSION}"
fi
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die

@ -149,7 +149,7 @@ src_prepare() {
|| die "Upstream version number changed to ${FULL_VERSION}"
fi
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die

@ -149,7 +149,7 @@ src_prepare() {
|| die "Upstream version number changed to ${FULL_VERSION}"
fi
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die

@ -145,7 +145,7 @@ src_prepare() {
# for live ebuilds FULL_VERSION doesn't exist in global scope
use jit && QA_FLAGS_IGNORED="usr/$(get_libdir)/emacs/${FULL_VERSION}/native-lisp/.*"
eapply_user
default
# Fix filename reference in redirected man page
sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{7,8} )
PYTHON_COMPAT=( python3_{7..10} )
inherit distutils-r1
@ -17,12 +17,13 @@ KEYWORDS="amd64 x86"
RDEPEND="
app-eselect/eselect-vi
dev-python/six[${PYTHON_USEDEP}]
dev-python/docopt[${PYTHON_USEDEP}]
dev-python/wcwidth[${PYTHON_USEDEP}]
dev-python/prompt_toolkit[${PYTHON_USEDEP}]
dev-python/pyflakes[${PYTHON_USEDEP}]
dev-python/pygments[${PYTHON_USEDEP}]
dev-python/prompt_toolkit[${PYTHON_USEDEP}]"
dev-python/six[${PYTHON_USEDEP}]
dev-python/wcwidth[${PYTHON_USEDEP}]
"
eselect_vi_update() {
einfo "Calling eselect vi update..."

Binary file not shown.

@ -1 +1,2 @@
DIST buildah-1.20.1.tar.gz 11522195 BLAKE2B 2fe2aa9ad5c2212b98be5bced24b6aee39a43ab2c1b28c2c1729cce2b8cfe5920ecb64f013c28d870c6b8c9b369630f83e27dc7698eb66b3e368ef0bff4cb3ed SHA512 22495d9f0da1d6061ddb41e4cecfdb2108c152262798d6c959fc524870160f15ee486bcc37e262e571c64dc732e852f05e6c4b9331bbdef4150bd56997fefa83
DIST buildah-1.21.0.tar.gz 11693220 BLAKE2B 1f281830ca348e55e9cc2e55dd92e8372174f736c6e8a7ae4de1f5c3279bc272036cf65a2946a143df6e1f282461d347f26c361894b83399854cf900e9f2cc71 SHA512 2ce6afceadec37f54f7f80562969cc382267dabc4fa5a89a09a211326e403376d209d89162333337af8602cb5c551eb446d3c9fac26f516fb8d354a7b5b77472

@ -0,0 +1,50 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit bash-completion-r1 go-module
GIT_COMMIT=5e3515c5
DESCRIPTION="A tool that facilitates building OCI images"
HOMEPAGE="https://github.com/containers/buildah"
SRC_URI="https://github.com/containers/buildah/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="selinux"
RDEPEND="app-crypt/gpgme:=
app-emulation/skopeo
dev-libs/libgpg-error:=
dev-libs/libassuan:=
sys-fs/lvm2:=
sys-libs/libseccomp:=
selinux? ( sys-libs/libselinux:= )"
DEPEND="${RDEPEND}"
RESTRICT+=" test"
src_prepare() {
default
[[ -f selinux_tag.sh ]] || die
use selinux || { echo -e "#!/bin/sh\ntrue" > \
selinux_tag.sh || die; }
sed -i -e 's/make -C/$(MAKE) -C/' Makefile || die 'sed failed'
}
src_compile() {
emake GIT_COMMIT=${GIT_COMMIT} all
}
src_install() {
dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md troubleshooting.md
doman docs/*.1
dodoc -r docs/tutorials
dobin bin/{${PN},imgtype}
dobashcomp contrib/completions/bash/buildah
}
src_test() {
emake test-unit
}

@ -66,7 +66,9 @@ src_compile() {
export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
export GOFLAGS="-v -x -mod=vendor"
emake "${myemakeargs[@]}" all man
# race condition in man target https://bugs.gentoo.org/765100
emake "${myemakeargs[@]}" man -j1 #nowarn
emake "${myemakeargs[@]}" all
}
src_install() {

@ -66,7 +66,9 @@ src_compile() {
export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
export GOFLAGS="-v -x -mod=vendor"
emake "${myemakeargs[@]}" all man
# race condition in man target https://bugs.gentoo.org/765100
emake "${myemakeargs[@]}" man -j1 #nowarn
emake "${myemakeargs[@]}" all
}
src_install() {

@ -63,7 +63,9 @@ src_compile() {
export GOPATH="${WORKDIR}/${P}" # ${PWD}/vendor
export GOFLAGS="-v -x -mod=vendor"
emake "${myemakeargs[@]}" all man
# race condition in man target https://bugs.gentoo.org/765100
emake "${myemakeargs[@]}" man -j1 #nowarn
emake "${myemakeargs[@]}" all
}
src_install() {

@ -1,3 +1,2 @@
DIST protontricks-1.4.3.tar.gz 43573 BLAKE2B 3a3050ba6e940182d81d98498a5558433ceaa4282f5a23fb93b3cfc299699381493eb2912c5f03bb6a8092be5c50b94bf7181208cda3d4c0f4c90c0f438f7f1b SHA512 7ca8c7c273d92f7c4526caaa8c9db6988c642913c33c6b6188d285d5cfbe30924533a9f024135865cdc1a25bd867ac00bd915b0a61417d17fe0e5ee451417e64
DIST protontricks-1.5.0.tar.gz 46957 BLAKE2B 622affd9a1bfff3a5cd76fa8e279f25b5c91a6f040b6cc4e5f42e58be08a232fad2be179a47e063b45b1b1bb11b6ae9ce26cce499f4c1dae460be0bb8247e619 SHA512 6df3e0dd638684e70a8d40b7440e2340765109e31dd47fa5e33e4959bc34d3ff4cfa70c8689cafdcce82f1d97ba6d25de724ca7439e5d1ffd634b729ab222716
DIST protontricks-1.5.1.tar.gz 48111 BLAKE2B df7feaefd2ec1c058fa7190ec9c981bd480e5d36cf7a3e15868aa8e052857e69dc573559e35faf74d9d2f4a5549471cb0e8fc0be58ed2431890e37751c88cab8 SHA512 4b8d5d17a4bce8bd987c032f5a5ae689d1dcca4694463778398bb62b983afe6eee666aed891c810e852a9f873233b1822d21878464b25f07f8ab92e1777f3ff1

@ -1,32 +0,0 @@
Since version 1.4.1 upstream has used setuptools-scm to determine the
current version number. Unfortunately the package in question does not
support GitHub release archives, using GitHub VCS snapshots would require
retrieving and updating commit hashes corresponding to release tags, and
PyPI tarballs do not contain tests. setuptools_scm_git_archive does not
help because it requires extra files to be included in the repository,
which upstream has not done.
Seeing as we already know the version number, bypass setuptools_scm
altogether and create the version file ourselves. For obvious reasons the
latter has to be done in ebuilds themselves.
--- a/setup.py
+++ b/setup.py
@@ -16,9 +16,6 @@
setup(
name="protontricks",
- use_scm_version={
- "write_to": "src/protontricks/_version.py"
- },
description=DESCRIPTION,
long_description=LONG_DESCRIPTION,
author=AUTHOR,
@@ -28,7 +25,6 @@
packages=["protontricks"],
package_data={"": ["LICENSE"]},
package_dir={"protontricks": "src/protontricks"},
- setup_requires=["setuptools_scm"],
install_requires=["vdf>=3.2"],
entry_points={
"console_scripts": [

@ -1,57 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} pypy3 )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="app-emulation/winetricks wrapper for Proton (Steam Play) games"
HOMEPAGE="https://github.com/Matoking/protontricks"
SRC_URI="https://github.com/Matoking/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64"
IUSE="+gui"
RDEPEND="app-emulation/winetricks
$(python_gen_cond_dep '
dev-python/vdf[${PYTHON_USEDEP}]
')
gui? ( gnome-extra/zenity
|| (
app-emulation/winetricks[gtk]
app-emulation/winetricks[kde]
)
)"
PATCHES=(
"${FILESDIR}"/${PN}-1.4.3_no-setuptools-scm.patch
)
DOCS=( CHANGELOG.md README.md )
distutils_enable_tests pytest
python_prepare_all() {
distutils-r1_python_prepare_all
echo "version = '${PV}'" > "${S}"/src/${PN}/_version.py || die "Failed to generate the version file"
}
pkg_postinst() {
elog
if ! use gui; then
ewarn "Please note that disabling USE=gui does *not* presently remove the --gui command-line option,"
ewarn "it just means using this option will fail unless gnome-extra/zenity happens to be installed."
ewarn
fi
elog "Protontricks can only find games for which a Proton prefix already exists."
elog "Make sure to run a Proton game at least once before trying to use protontricks on it."
elog
}

@ -15,7 +15,7 @@ SRC_URI="https://github.com/Matoking/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
IUSE="+gui"
RDEPEND="app-emulation/winetricks

@ -1,35 +0,0 @@
https://patchew.org/QEMU/20210503161422.15028-1-dgouttegattat@incenp.org/
https://gitlab.com/qemu-project/qemu/-/issues/256
https://bugs.gentoo.org/789561
From c1155afabf1a3e093049975ba1748cf39734aa52 Mon Sep 17 00:00:00 2001
From: Damien Goutte-Gattat via <qemu-devel@nongnu.org>
Date: Mon, 3 May 2021 17:14:22 +0100
Subject: [PATCH] docs: Fix installation of man pages with Sphinx 4.x
The 4.x branch of Sphinx introduces a breaking change, as generated man
pages are now written to subdirectories corresponding to the manual
section they belong to. This results in `make install` erroring out when
attempting to install the man pages, because they are not where it
expects to find them.
This patch restores the behavior of Sphinx 3.x regarding man pages.
Signed-off-by: Damien Goutte-Gattat <dgouttegattat@incenp.org>
---
docs/conf.py | 1 +
1 file changed, 1 insertion(+)
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -269,6 +269,7 @@
['Stefan Hajnoczi <stefanha@redhat.com>',
'Masayoshi Mizuma <m.mizuma@jp.fujitsu.com>'], 1),
]
+man_make_section_directory = False
# -- Options for Texinfo output -------------------------------------------
--
2.31.1

@ -274,7 +274,6 @@ PATCHES=(
"${FILESDIR}"/${PN}-5.2.0-cleaner-werror.patch
"${FILESDIR}"/${PN}-5.2.0-disable-keymap.patch
"${FILESDIR}"/${PN}-5.2.0-dce-locks.patch
"${FILESDIR}"/${PN}-6.0.0-sphinx-4.patch
)
QA_PREBUILT="

Binary file not shown.

@ -8,7 +8,7 @@ HOMEPAGE="https://www.gentoo.org/proj/en/eselect/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
RDEPEND="app-admin/eselect
>=app-eselect/eselect-lib-bin-symlink-0.1.1

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="https://github.com/kaio/${PN}/releases/download/${PV}/${P}.tar.gz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="nls"
RESTRICT="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

Binary file not shown.

@ -2,7 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>octiabrina@myrvogna.net</email>
<email>myrvogna@electrosphe.re</email>
<name>Octiabrina Terrien-Puig</name>
</maintainer>
<maintainer type="project" proxied="proxy">

Binary file not shown.

@ -1 +0,0 @@
DIST logitech_applet-0.4test1.tar.gz 75783 BLAKE2B 71ac28c1efab922c5d48db00be53eb0c9200ea05972d1fc1a9551f3963fd9d4be46e7a66ebabb873873e1c0e89486e0e32ea7810cafb3eb0ade67cf399c46508 SHA512 64389b365d9d3473bf3ec027c7d9ee34cbdcddf9abb6bfabf4e771a255dade80e6758b7a997da3eaf23c19f1bd4559e79fb199e9f62e0f2ad1af92eab4b23789

@ -1,6 +0,0 @@
ACTION!="add", GOTO="logitech_applet_rules_end"
SUBSYSTEM!="usb*", GOTO="logitech_applet_rules_end"
ATTRS{manufacturer}=="Logitech", ATTRS{product}=="USB-PS/2 Optical Mouse", RUN+="/usr/sbin/logitech_applet -s 800"
LABEL="logitech_applet_rules_end"

@ -1,20 +0,0 @@
--- a/configure.in
+++ b/configure.in
@@ -24,7 +24,7 @@ if test "$LUSB" = "no"; then
echo " http://libusb.sourceforge.net"
echo " or use the --with-libusb-includes option, if you have it installed"
echo " in an unusual place"
- exit
+ exit 1
fi
AC_CHECK_LIB(usb, usb_init, LUSB="yes", LUSB="no")
if test "$LUSB" = "no"; then
@@ -33,7 +33,7 @@ if test "$LUSB" = "no"; then
echo " http://libusb.sourceforge.net"
echo " or use the --with-libusb-libraries option, if you have it installed"
echo " in an unusual place"
- exit
+ exit 1
fi
AC_OUTPUT(Makefile)

@ -1,139 +0,0 @@
--- a/logitech_applet.c
+++ b/logitech_applet.c
@@ -40,6 +40,44 @@
#endif
#define VENDOR_LOGITECH 0x046D
+#define HAS_RES 0x01 /* mouse supports variable resolution */
+#define HAS_SS 0x02 /* mouse supports smart scroll control */
+#define HAS_CSR 0x04 /* mouse supports cordless status reporting and control */
+#define HAS_SSR 0x08 /* mouse supports smart scroll reporting */
+#define USE_CH2 0x10 /* mouse needs to use the second channel */
+
+struct device_table {
+ int idVendor;
+ int idProduct;
+ char* Model;
+ char* Name;
+ int flags;
+}
+
+device_table[] = {
+ { VENDOR_LOGITECH, 0xC00E, "M-BJ58", "Wheel Mouse Optical", HAS_RES },
+ { VENDOR_LOGITECH, 0xC00F, "M-BJ79", "MouseMan Traveler", HAS_RES },
+ { VENDOR_LOGITECH, 0xC012, "M-BL63B", "MouseMan Dual Optical", HAS_RES },
+ { VENDOR_LOGITECH, 0xC01B, "M-BP86", "MX310 Optical Mouse", HAS_RES },
+ { VENDOR_LOGITECH, 0xC01D, "M-BS81A", "MX510 Optical Mouse", HAS_RES | HAS_SS | HAS_SSR },
+ { VENDOR_LOGITECH, 0xC01E, "M-BS81A", "MX518 Optical Mouse", HAS_RES },
+ { VENDOR_LOGITECH, 0xC01F, "M-BS82", "MX300 Optical Mouse", HAS_RES },
+ { VENDOR_LOGITECH, 0xC024, "M-BP82", "MX300 Optical Mouse", HAS_RES },
+ { VENDOR_LOGITECH, 0xC025, "M-BP81A", "MX500 Optical Mouse", HAS_RES | HAS_SS | HAS_SSR },
+ { VENDOR_LOGITECH, 0xC031, "M-UT58A", "iFeel Mouse (silver)", HAS_RES },
+ { VENDOR_LOGITECH, 0xC051, "M-BS81A", "MX518 Optical Mouse", HAS_RES },
+ { VENDOR_LOGITECH, 0xC501, "C-BA4-MSE", "Mouse Receiver", HAS_CSR },
+ { VENDOR_LOGITECH, 0xC502, "C-UA3-DUAL", "Dual Receiver", HAS_CSR | USE_CH2},
+ { VENDOR_LOGITECH, 0xC504, "C-BD9-DUAL", "Cordless Freedom Optical", HAS_CSR | USE_CH2 },
+ { VENDOR_LOGITECH, 0xC505, "C-BG17-DUAL", "Cordless Elite Duo", HAS_SS | HAS_SSR | HAS_CSR | USE_CH2},
+ { VENDOR_LOGITECH, 0xC506, "C-BF16-MSE", "MX700 Optical Mouse", HAS_SS | HAS_CSR },
+ { VENDOR_LOGITECH, 0xC508, "C-BA4-MSE", "Cordless Optical TrackMan", HAS_SS | HAS_CSR },
+ { VENDOR_LOGITECH, 0xC50B, "967300-0403", "Cordless MX Duo Receiver", HAS_SS|HAS_CSR },
+ { VENDOR_LOGITECH, 0xC50E, "M-RAG97", "MX1000 Laser Mouse", HAS_SS | HAS_CSR },
+ { VENDOR_LOGITECH, 0xC702, "C-UF15", "Receiver for Cordless Presenter", HAS_CSR },
+ { 0, 0, 0, 0, 0 }
+};
+
int get_resolution(struct usb_device *dev)
{
@@ -141,7 +179,12 @@
return cruise;
}
-/* resolution should be 0x03 for 400cpi, 0x04 for 800cpi */
+/* resolution should be:
+ * - 0x03 for 400cpi
+ * - 0x04 for 800cpi
+ * - 0x05 for 1200cpi
+ * - 0x06 for 1600cpi (actually 1800cpi on newer MX518)
+ */
int set_resolution(struct usb_device *dev, int resolution)
{
usb_dev_handle *usb_h;
@@ -233,39 +276,6 @@
printf("Logitech Mouse Applet, Version %s\n", VERSION);
}
-#define HAS_RES 0x01 /* mouse supports variable resolution */
-#define HAS_SS 0x02 /* mouse supports smart scroll control */
-#define HAS_CSR 0x04 /* mouse supports cordless status reporting and control */
-#define HAS_SSR 0x08 /* mouse supports smart scroll reporting */
-#define USE_CH2 0x10 /* mouse needs to use the second channel */
-
-struct device_table {
- int idVendor;
- int idProduct;
- char* Model;
- char* Name;
- int flags;
-} device_table[] = {
- { VENDOR_LOGITECH, 0xC00E, "M-BJ58", "Wheel Mouse Optical", HAS_RES },
- { VENDOR_LOGITECH, 0xC00F, "M-BJ79", "MouseMan Traveler", HAS_RES },
- { VENDOR_LOGITECH, 0xC012, "M-BL63B", "MouseMan Dual Optical", HAS_RES },
- { VENDOR_LOGITECH, 0xC01B, "M-BP86", "MX310 Optical Mouse", HAS_RES },
- { VENDOR_LOGITECH, 0xC01D, "M-BS81A", "MX510 Optical Mouse", HAS_RES | HAS_SS | HAS_SSR },
- { VENDOR_LOGITECH, 0xC024, "M-BP82", "MX300 Optical Mouse", HAS_RES },
- { VENDOR_LOGITECH, 0xC025, "M-BP81A", "MX500 Optical Mouse", HAS_RES | HAS_SS | HAS_SSR },
- { VENDOR_LOGITECH, 0xC031, "M-UT58A", "iFeel Mouse (silver)", HAS_RES },
- { VENDOR_LOGITECH, 0xC501, "C-BA4-MSE", "Mouse Receiver", HAS_CSR },
- { VENDOR_LOGITECH, 0xC502, "C-UA3-DUAL", "Dual Receiver", HAS_CSR | USE_CH2},
- { VENDOR_LOGITECH, 0xC504, "C-BD9-DUAL", "Cordless Freedom Optical", HAS_CSR | USE_CH2 },
- { VENDOR_LOGITECH, 0xC505, "C-BG17-DUAL", "Cordless Elite Duo", HAS_SS | HAS_SSR | HAS_CSR | USE_CH2},
- { VENDOR_LOGITECH, 0xC506, "C-BF16-MSE", "MX700 Optical Mouse", HAS_SS | HAS_CSR },
- { VENDOR_LOGITECH, 0xC508, "C-BA4-MSE", "Cordless Optical TrackMan", HAS_SS | HAS_CSR },
- { VENDOR_LOGITECH, 0xC50B, "967300-0403", "Cordless MX Duo Receiver", HAS_SS|HAS_CSR },
- { VENDOR_LOGITECH, 0xC50E, "M-RAG97", "MX1000 Laser Mouse", HAS_SS | HAS_CSR },
- { VENDOR_LOGITECH, 0xC702, "C-UF15", "Receiver for Cordless Presenter", HAS_CSR },
- { 0, 0, 0, 0, 0 }
-};
-
int main(int argc, char **argv)
{
struct usb_bus *bus;
@@ -318,8 +328,12 @@
resolution = 400;
else if (!strcmp("800", optarg))
resolution = 800;
+ else if (!strcmp("1200", optarg))
+ resolution = 1200;
+ else if (!strcmp("1600", optarg))
+ resolution = 1600;
else
- printf("Bad argument (should be 400 or 800)\n");
+ printf("Bad argument (should be 400, 800, 1200 or 1600)\n");
break;
case 'v':
version();
@@ -363,14 +377,22 @@
break;
case 4: printf("800cpi\n");
break;
+ case 5: printf("1200cpi\n");
+ break;
+ case 6: printf("1600cpi\n");
+ break;
default: printf("(Unexpected result:%i)\n", resolution);
break;
}
} else {
if (400 == resolution)
set_resolution(dev, 0x03);
- else
+ else if (800 == resolution)
set_resolution(dev, 0x04);
+ else if (1200 == resolution)
+ set_resolution(dev, 0x05);
+ else
+ set_resolution(dev, 0x06);
}
}

@ -1,43 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools
MY_P=${P/_pre/test}
MY_P=${MY_P/-applet/_applet}
DESCRIPTION="Control utility for some special features of some special Logitech USB mice!"
HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
SRC_URI="mirror://gentoo/${MY_P}.tar.gz"
S="${WORKDIR}"/${MY_P}
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
DEPEND="virtual/libusb:0"
RDEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}"/${P}-mx300-mx518.patch
"${FILESDIR}"/${PN}-0.4_pre1-configure-error-handling.patch
)
src_prepare() {
default
mv configure.{in,ac} || die
# For error handling patch
eautoreconf
}
src_install() {
dosbin logitech_applet
dodoc AUTHORS ChangeLog README doc/article.txt
docinto examples
dodoc "${FILESDIR}"/40-logitech_applet.rules
}

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>desktop-misc@gentoo.org</email>
<name>Gentoo Desktop Miscellaneous Project</name>
</maintainer>
</pkgmetadata>

@ -1,158 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools flag-o-matic pam tmpfiles toolchain-funcs
DESCRIPTION="screen manager with VT100/ANSI terminal emulation"
HOMEPAGE="https://www.gnu.org/software/screen/"
if [[ "${PV}" != 9999 ]] ; then
SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
else
inherit git-r3
EGIT_REPO_URI="https://git.savannah.gnu.org/git/screen.git"
EGIT_CHECKOUT_DIR="${WORKDIR}/${P}" # needed for setting S later on
S="${WORKDIR}"/${P}/src
fi
LICENSE="GPL-2"
SLOT="0"
IUSE="debug nethack pam selinux multiuser"
CDEPEND="
>=sys-libs/ncurses-5.2:0=
pam? ( sys-libs/pam )"
RDEPEND="${CDEPEND}
acct-group/utmp
selinux? ( sec-policy/selinux-screen )"
DEPEND="${CDEPEND}
sys-apps/texinfo"
PATCHES=(
# Don't use utempter even if it is found on the system.
"${FILESDIR}"/${PN}-4.3.0-no-utempter.patch
"${FILESDIR}"/${PN}-4.6.2-utmp-exit.patch
)
src_prepare() {
default
# sched.h is a system header and causes problems with some C libraries
mv sched.h _sched.h || die
sed -i '/include/ s:sched.h:_sched.h:' screen.h || die
# Fix manpage.
sed -i \
-e "s:/usr/local/etc/screenrc:${EPREFIX}/etc/screenrc:g" \
-e "s:/usr/local/screens:${EPREFIX}/tmp/screen:g" \
-e "s:/local/etc/screenrc:${EPREFIX}/etc/screenrc:g" \
-e "s:/etc/utmp:${EPREFIX}/var/run/utmp:g" \
-e "s:/local/screens/S\\\-:${EPREFIX}/tmp/screen/S\\\-:g" \
doc/screen.1 || die
if [[ ${CHOST} == *-darwin* ]] || use elibc_musl ; then
sed -i -e '/^#define UTMPOK/s/define/undef/' acconfig.h || die
fi
# disable musl dummy headers for utmp[x]
use elibc_musl && append-cppflags "-D_UTMP_H -D_UTMPX_H"
# reconfigure
eautoreconf
}
src_configure() {
append-cppflags "-DMAXWIN=${MAX_SCREEN_WINDOWS:-100}"
if [[ ${CHOST} == *-solaris* ]] ; then
# enable msg_header by upping the feature standard compatible
# with c99 mode
append-cppflags -D_XOPEN_SOURCE=600
fi
use nethack || append-cppflags "-DNONETHACK"
use debug && append-cppflags "-DDEBUG"
local myeconfargs=(
--with-socket-dir="${EPREFIX}/tmp/${PN}"
--with-sys-screenrc="${EPREFIX}/etc/screenrc"
--with-pty-mode=0620
--with-pty-group=5
--enable-rxvt_osc
--enable-telnet
--enable-colors256
$(use_enable pam)
)
econf "${myeconfargs[@]}"
}
src_compile() {
LC_ALL=POSIX emake comm.h term.h
emake osdef.h
emake -C doc screen.info
default
}
src_install() {
local DOCS=(
README ChangeLog INSTALL TODO NEWS* patchlevel.h
doc/{FAQ,README.DOTSCREEN,fdpat.ps,window_to_display.ps}
)
emake DESTDIR="${D}" SCREEN="${P}" install
local tmpfiles_perms tmpfiles_group
if use multiuser || use prefix ; then
fperms 4755 /usr/bin/${P}
tmpfiles_perms="0755"
tmpfiles_group="root"
else
fowners root:utmp /usr/bin/${P}
fperms 2755 /usr/bin/${P}
tmpfiles_perms="0775"
tmpfiles_group="utmp"
fi
newtmpfiles - screen.conf <<<"d /tmp/screen ${tmpfiles_perms} root ${tmpfiles_group}"
insinto /usr/share/${PN}
doins terminfo/{screencap,screeninfo.src}
insinto /etc
doins "${FILESDIR}"/screenrc
if use pam; then
pamd_mimic_system screen auth
fi
dodoc "${DOCS[@]}"
}
pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]]
then
elog "Some dangerous key bindings have been removed or changed to more safe values."
elog "We enable some xterm hacks in our default screenrc, which might break some"
elog "applications. Please check /etc/screenrc for information on these changes."
fi
# Add /tmp/screen in case it doesn't exist yet. This should solve
# problems like bug #508634 where tmpfiles.d isn't in effect.
local rundir="${EROOT}/tmp/${PN}"
if [[ ! -d ${rundir} ]] ; then
if use multiuser || use prefix ; then
tmpfiles_group="root"
else
tmpfiles_group="utmp"
fi
mkdir -m 0775 "${rundir}"
chgrp ${tmpfiles_group} "${rundir}"
fi
ewarn "This revision changes the screen socket location to ${rundir}"
}

Binary file not shown.

@ -1,11 +1,11 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
VIRTUALX_REQUIRED=test
inherit cmake virtualx
inherit cmake virtualx xdg-utils
DESCRIPTION="Qt Bible-study application using the SWORD library"
HOMEPAGE="http://bibletime.info/"
@ -15,8 +15,10 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
# Some tests fail due to being unable to find an icon directory relative
# to ${WORKDIR}, some others segfault. Needs work.
# As of 3.0.0 most tests fail unless Bibletime has previously been installed,
# and one fails for unknown reasons even then. See:
# https://github.com/bibletime/bibletime/issues/320
# https://github.com/bibletime/bibletime/issues/321
RESTRICT="test"
RDEPEND=">=app-text/sword-1.8.1
@ -66,3 +68,11 @@ src_configure() {
src_test() {
virtx cmake_src_test || die "Test run has failed"
}
pkg_postinst() {
xdg_icon_cache_update
}
pkg_postrm() {
xdg_icon_cache_update
}

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
PYTHON_COMPAT=( python3_{7..10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1

@ -15,7 +15,7 @@ HOMEPAGE="https://github.com/buggins/coolreader/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 x86"
IUSE="wxwidgets"
CDEPEND="sys-libs/zlib

@ -12,7 +12,7 @@ SRC_URI+=" https://dev.gentoo.org/~juippis/distfiles/tmp/gnome-doc-utils-0.20.10
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

@ -11,7 +11,7 @@ SRC_URI="http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/${DTD_FIL
LICENSE="FDL-1.1"
SLOT="1.0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND=">=dev-libs/libxml2-2.4.19"

Binary file not shown.

@ -3,7 +3,7 @@
EAPI=7
PYTHON_COMPAT=( python{3_7,3_8} )
PYTHON_COMPAT=( python3_{7..10} )
inherit vim-plugin python-single-r1

@ -3,7 +3,7 @@
EAPI=6
PYTHON_COMPAT=( python{3_7,3_8} )
PYTHON_COMPAT=( python3_{7..9} )
inherit python-single-r1 vim-plugin vcs-snapshot
@ -27,8 +27,7 @@ RDEPEND="
$(python_gen_cond_dep 'dev-python/autopep8[${PYTHON_MULTI_USEDEP}]')
"
DEPEND="
${RDEPEND}"
DEPEND="${RDEPEND}"
DOCS=( README CHANGELOG TODO.otl )

Binary file not shown.

@ -1,3 +1 @@
DIST gtkada-2019-20190424-19D98-src.tgz 12273911 BLAKE2B e2d0f3c410973d0412bf433f2e1cc60a5b00e9f34ad0471cb583596587e6073fdeb9b6441aa50dfa81894ce692101fe51c7714090477d585721571261737a823 SHA512 aed0758b42ee8eac752c2c83a0974ee0c7cddfa15149879472ff2fb8ee7565456a225ce783739ede76bc0f47340e97af5b5d1149e244611bcd3b3760e20f8cf5
DIST gtkada-gpl-2017-src.tgz 11952333 BLAKE2B 2a333452ff271bba0521235598afdb1abebc4ceeab0f915f173862329ae0986b0fc4f654d3df28eac73af075db224c0b12340c3acd1e4ed0ffc965e4365f8b40 SHA512 f5bbb9ebdd966e70b3edcaaf359cb9e75edba3c3f4f8febfa7de9f634f8e96cd0dd1482fb16ad852b1c9f9b0e2c16eb3a437120d37f0638d90af666620f09f3f
DIST gtkada-gpl-2018-src.tgz 11958880 BLAKE2B 4946918b52de5e15efc77411927812910d84d13cea66b86b1162b987c7849ba7fbb6da487881762f64005dc32a74fa73c9d759d25bb9ac0241d1d76cd4becbfb SHA512 9000de7675f8ee688b1c9cd93cf35b32f698aca8fc22d3b4e695d7c6b34feb60118cc687cf35432cd5ed9af7825eda7e20575a9fad4523a7b59cb0322bce0762

@ -1,60 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
ADA_COMPAT=( gnat_201{6,7} )
inherit ada autotools multiprocessing
MYP=${PN}-gpl-${PV}
DESCRIPTION="A complete Ada graphical toolkit"
HOMEPAGE="http://libre.adacore.com//tools/gtkada/"
SRC_URI="http://mirrors.cdn.adacore.com/art/591ae7a8c7a4473fcbb154c9
-> ${MYP}-src.tgz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="+shared static-libs"
RDEPEND="${ADA_DEPS}
dev-libs/atk
dev-libs/glib:2
media-libs/fontconfig
media-libs/freetype
x11-libs/cairo
x11-libs/gdk-pixbuf:2
x11-libs/gtk+:3
x11-libs/pango"
DEPEND="${RDEPEND}
dev-ada/gprbuild[${ADA_USEDEP}]"
REQUIRED_USE="${ADA_REQUIRED_USE}"
S="${WORKDIR}"/${MYP}-src
PATCHES=( "${FILESDIR}"/${P}-r1-gentoo.patch )
src_prepare() {
default
mv configure.{in,ac}
eautoreconf
}
src_configure() {
econf \
--prefix="${D}/usr" \
$(use_enable static-libs static) \
$(use_enable shared) \
--without-GL
}
src_compile() {
emake -j1 PROCESSORS=$(makeopts_jobs)
}
src_install() {
emake -j1 install
einstalldocs
}

@ -1,4 +1,4 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -47,7 +47,6 @@ src_prepare() {
src_configure() {
econf \
--prefix="${D}/usr" \
$(use_enable static-libs static) \
$(use_enable shared) \
--without-GL
@ -58,6 +57,6 @@ src_compile() {
}
src_install() {
emake -j1 install
emake -j1 DESTDIR="${D}"
einstalldocs
}

@ -1,21 +1,21 @@
# Copyright 1999-2019 Gentoo Authors
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
ADA_COMPAT=( gnat_201{6,7,8,9} )
ADA_COMPAT=( gnat_201{6..9} gnat_2020 )
inherit ada autotools multiprocessing
MYP=${PN}-gpl-${PV}
MYP=${P}-20190424-19D98
DESCRIPTION="A complete Ada graphical toolkit"
HOMEPAGE="http://libre.adacore.com//tools/gtkada/"
SRC_URI="http://mirrors.cdn.adacore.com/art/5b0cf840c7a4475261f97ced
SRC_URI="http://mirrors.cdn.adacore.com/art/5ce7f58931e87adb2d312c53
-> ${MYP}-src.tgz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
KEYWORDS="~amd64 ~x86"
IUSE="+shared static-libs"
RDEPEND="${ADA_DEPS}
@ -34,7 +34,10 @@ REQUIRED_USE="${ADA_REQUIRED_USE}"
S="${WORKDIR}"/${MYP}-src
PATCHES=( "${FILESDIR}"/${PN}-2017-r1-gentoo.patch )
PATCHES=(
"${FILESDIR}"/${PN}-2017-r1-gentoo.patch
"${FILESDIR}"/${P}-gentoo.patch
)
src_prepare() {
default
@ -44,7 +47,6 @@ src_prepare() {
src_configure() {
econf \
--prefix="${D}/usr" \
$(use_enable static-libs static) \
$(use_enable shared) \
--without-GL
@ -55,6 +57,6 @@ src_compile() {
}
src_install() {
emake -j1 install
emake -j1 DESTDIR="${D}"
einstalldocs
}

Binary file not shown.

@ -0,0 +1 @@
DIST robin-hood-hashing-3.11.2.tar.gz 170488 BLAKE2B 5fb688f5e21f989456e139b64447393816593ad2a1c3537d067d8ea1717aceaa879e27616657354f62e1466ca491f9d302448a73cddb53c7156a623eb375016b SHA512 5d55f054e29ae34d410eb0103f9f0aa1faf47e313b9f089c73b9c26fd9bedf132f6bb13b4bcd2664309c32fe7e859e346d0a6e7ab7f46b294f9b8db207577795

@ -0,0 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>x11@gentoo.org</email>
<name>X11</name>
</maintainer>
<maintainer type="person">
<email>sarnex@gentoo.org</email>
<name>Nick Sarnie</name>
</maintainer>
<upstream>
<remote-id type="github">martinus/robin-hood-hashing</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,18 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
KEYWORDS="~amd64"
SRC_URI="https://github.com/martinus/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
DESCRIPTION="Fast & memory efficient hashtable based on robin hood hashing for C++11/14/17/20"
HOMEPAGE="https://github.com/martinus/robin-hood-hashing"
LICENSE="MIT"
SLOT="0"
src_install() {
insinto /usr/include
doins src/include/robin_hood.h
}

Binary file not shown.

@ -1 +0,0 @@
DIST boilerpipe-1.2.0-src.tar.gz 46279 BLAKE2B 21e146bc772b6025dd22939fab64777bbbb55b3016ccb9627dfb7c1c4d3eb2fd61243aae2e22cd973e77a11eccba45b9a5837f08db265edb703779a46f08abe3 SHA512 db9349213debab932d2470e46f1e80366d6a6ca99e016b6f9ed4887881eecd4132e9aef29b8e4fe8282d1375d60b88a99d9aa43e249d6b673739ec017d2472a6

@ -1,40 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
JAVA_PKG_IUSE="source"
inherit java-pkg-2 java-ant-2
DESCRIPTION="Boilerplate Removal and Fulltext Extraction from HTML pages"
HOMEPAGE="https://github.com/kohlschutter/boilerpipe"
SRC_URI="https://${PN}.googlecode.com/files/${P}-src.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
CDEPEND="dev-java/xerces:2
dev-java/nekohtml:0"
DEPEND=">=virtual/jdk-1.6
${CDEPEND}"
RDEPEND=">=virtual/jre-1.6
${CDEPEND}"
EANT_BUILD_TARGET="jars"
JAVA_ANT_REWRITE_CLASSPATH="true"
EANT_GENTOO_CLASSPATH="xerces-2,nekohtml"
java_prepare() {
mkdir "${S}"/lib || die
}
src_install() {
java-pkg_newjar dist/${P}.jar ${PN}.jar
use source && java-pkg_dosrc src/main/*
}

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<upstream>
<remote-id type="github">kohlschutter/boilerpipe</remote-id>
</upstream>
</pkgmetadata>

@ -1 +0,0 @@
DIST commons-el-1.0-src.tar.gz 64009 BLAKE2B df9f6daa8b5a9d86a43f5fdf0e1608b04a5cb3e78dbf7cdce5ba7e484685c9e4271db22777661d07c89a4c792fc9c519b7efef484a41394ba5f1a3a7e302594c SHA512 51bee4a33816b2c7416f55bd2efe1e663350ca0b30b2b5a8f89154c51596df8481c736fa13576a9dad69b2da113728050c2c9b6f50125d38a36f45e4b82e2e83

@ -1,51 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
JAVA_PKG_IUSE="source"
inherit epatch java-pkg-2 java-ant-2 java-osgi
DESCRIPTION="EL is the JSP 2.0 Expression Language Interpreter from Apache"
HOMEPAGE="http://commons.apache.org/el/"
SRC_URI="mirror://apache/jakarta/commons/el/source/${P}-src.tar.gz"
LICENSE="Apache-1.1"
SLOT="0"
KEYWORDS="amd64 ppc64 x86"
IUSE=""
COMMON_DEP="
java-virtuals/servlet-api:2.5"
RDEPEND="${COMMON_DEP}
>=virtual/jre-1.4"
DEPEND="${COMMON_DEP}
>=virtual/jdk-1.4"
S=${WORKDIR}/${P}-src
JAVA_PKG_FILTER_COMPILER="jikes"
java_prepare() {
epatch "${FILESDIR}"/${P}-java-1.7-compiler.patch # BGO 486376
# Build.xml is broken, fix it
sed -i "s:../LICENSE:./LICENSE.txt:" build.xml || die "sed failed"
}
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_GENTOO_CLASSPATH="servlet-api-2.5"
EANT_EXTRA_ARGS="
-Dservletapi.build.notrequired=true
-Djspapi.build.notrequired=true"
src_install() {
java-osgi_dojar-fromfile "dist/${PN}.jar" "${FILESDIR}/${P}-manifest" \
"Apache Commons EL"
dodoc LICENSE.txt RELEASE-NOTES.txt
dohtml STATUS.html PROPOSAL.html
use source && java-pkg_dosrc src/java/org
}

@ -1,13 +0,0 @@
--- ./src/java/org/apache/commons/el/parser/ELParser.java.orig 2003-03-30 20:17:07.000000000 -0500
+++ ./src/java/org/apache/commons/el/parser/ELParser.java 2013-10-13 14:55:24.277749201 -0400
@@ -1838,8 +1838,8 @@
jj_expentry[i] = jj_lasttokens[i];
}
boolean exists = false;
- for (java.util.Enumeration enum = jj_expentries.elements(); enum.hasMoreElements();) {
- int[] oldentry = (int[])(enum.nextElement());
+ for (java.util.Enumeration enumx = jj_expentries.elements(); enumx.hasMoreElements();) {
+ int[] oldentry = (int[])(enumx.nextElement());
if (oldentry.length == jj_expentry.length) {
exists = true;
for (int i = 0; i < jj_expentry.length; i++) {

@ -1,11 +0,0 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %bundleName
Bundle-Vendor: %vendorName
Bundle-Localization: plugin
Bundle-SymbolicName: org.apache.commons.el
Bundle-Version: 1.0
Export-Package: org.apache.commons.el;version="1.0.0",org.apache.commons.el.parser;version="1.0.0"
Import-Package: javax.servlet;version="2.4",javax.servlet.http;version="2.4",javax.servlet.jsp;version="2.0",
javax.servlet.jsp.el;version="2.0",javax.servlet.jsp.resources;version="2.0",
javax.servlet.jsp.tagext;version="2.0",javax.servlet.resources;version="2.4"

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>java@gentoo.org</email>
<name>Java</name>
</maintainer>
</pkgmetadata>

@ -1 +0,0 @@
DIST commons-fileupload-1.3-src.tar.gz 137105 BLAKE2B bfb5a4604aa69d8490fb1e661d0f82c0851ac9281e8e0e43a2e5d68b9cb330556a8df9f67fe9c2b5eaa1f9b871b3fde2b9a8064f94d6d55f7d13f64d5150bce9 SHA512 dbaaef89eb8b4be3555f0736919234b42217e8b6a021dcd99c11d18462b39b10ba92e25bafda51d1b1fcc306c9becf3fb124d03debb66922ab5442197f6360d2

@ -1,57 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
JAVA_PKG_IUSE="doc source test"
inherit epatch java-pkg-2 java-ant-2
DESCRIPTION="High-performance file upload capability to your servlets and web applications"
HOMEPAGE="http://commons.apache.org/fileupload/"
SRC_URI="mirror://apache/commons/fileupload/source/${P}-src.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
COMMON_DEP="
dev-java/commons-io:1
dev-java/portletapi:1
java-virtuals/servlet-api:2.5"
RDEPEND="${COMMON_DEP}
>=virtual/jre-1.5"
DEPEND="${COMMON_DEP}
>=virtual/jdk-1.5
test? (
dev-java/ant-junit:0
dev-java/junit:4
)"
S="${WORKDIR}/${P}-src"
JAVA_PKG_FILTER_COMPILER="jikes"
java_prepare() {
epatch "${FILESDIR}"/0001-Remove-bogous-manifest-entry.patch
epatch "${FILESDIR}"/0002-Fix-running-tests.patch
}
JAVA_ANT_REWRITE_CLASSPATH="yes"
JAVA_ANT_CLASSPATH_TAGS+=" javadoc"
EANT_GENTOO_CLASSPATH="commons-io-1,portletapi-1,servlet-api-2.5"
EANT_EXTRA_ARGS="-Dlibdir=target/lib"
EANT_TEST_GENTOO_CLASSPATH="${EANT_GENTOO_CLASSPATH},junit-4"
src_test() {
java-pkg-2_src_test
}
src_install() {
java-pkg_newjar target/${P}-SNAPSHOT.jar
use doc && java-pkg_dojavadoc target/site/apidocs
use source && java-pkg_dosrc src/main/java/*
}

@ -1,29 +0,0 @@
From 88920db784bbb37c1043371548642a9ad529d600 Mon Sep 17 00:00:00 2001
From: Ralph Sennhauser <sera@gentoo.org>
Date: Sat, 20 Apr 2013 09:51:46 +0200
Subject: [PATCH 1/2] Remove bogous manifest entry
---
build.xml | 4 ----
1 file changed, 4 deletions(-)
diff --git a/build.xml b/build.xml
index b207f76..1e18fec 100644
--- a/build.xml
+++ b/build.xml
@@ -252,12 +252,8 @@
<jar jarfile="${maven.build.dir}/${maven.build.finalName}.jar"
compress="true"
index="false"
- manifest="${commons.manifestfile}"
basedir="${maven.build.outputDir}"
excludes="**/package.html">
- <manifest>
- <attribute name="Main-Class"/>
- </manifest>
</jar>
</target>
--
1.8.1.5

@ -1,25 +0,0 @@
From ec99347a09caeae147c075813543fc839d5b4562 Mon Sep 17 00:00:00 2001
From: Ralph Sennhauser <sera@gentoo.org>
Date: Sat, 20 Apr 2013 09:57:06 +0200
Subject: [PATCH 2/2] Fix running tests
---
build.xml | 2 ++
1 file changed, 2 insertions(+)
diff --git a/build.xml b/build.xml
index 1e18fec..947f325 100644
--- a/build.xml
+++ b/build.xml
@@ -172,6 +172,8 @@
<include name="**/*Test.java"/>
<include name="**/*TestCase.java"/>
<exclude name="**/*Abstract*Test.java"/>
+ <!-- base class without tests violationg naming scheme -->
+ <exclude name="**/FileUploadTestCase.java"/>
</fileset>
</batchtest>
<batchtest todir="${maven.test.reports}" if="test">
--
1.8.1.5

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save